stages:
  - .pre
  # Insert your own stages here.
  - .post

.report-status:
  variables:
    # You can define all BUILDSTATUS_ variables here, with the
    # exception of the TOKEN if it makes it easier to manage.
    BUILDSTATUS_JOB: "Example Job"
  script:
    - ml py-requests
    - python3 build-status.py
  tags: [shell]

pending:
  extends:
    - .report-status
  stage: .pre

success:
  extends:
    - .report-status
  stage: .post

# IMPORTANT, if you are using GitHub as opposed to GitLab as your
# API target this job name must be changed to 'failure'.
failed:
  extends:
    - .report-status
  stage: .post
  when: on_failure